## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreViewProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider
              org.eclipse.emf.ecoretools.diagram.providers.EcoreViewProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.diagram.core.providers.IViewProvider

    public class EcoreViewProvider

extends org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider
`org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider.ClassToCreationMethodMap`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider
`classToCreateMethod`

Constructor Summary
`EcoreViewProvider()`

Method Summary
`protected java.lang.Class` `getDiagramViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter, java.lang.String diagramKind)`
`protected java.lang.Class` `getEdgeViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter, org.eclipse.gmf.runtime.notation.View containerView, java.lang.String semanticHint)`
`protected java.lang.Class` `getEdgeViewClass(int visualID)`
`protected java.lang.Class` `getNodeViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter, org.eclipse.gmf.runtime.notation.View containerView, java.lang.String semanticHint)`
`protected java.lang.Class` `getNodeViewClass(org.eclipse.gmf.runtime.notation.View containerView, int visualID)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider
`createDiagram, createEdge, createNode, getSemanticEClass, getSemanticElement, getSemanticElement, provides, provides, provides, provides, provides`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreViewProvider

    public EcoreViewProvider()

Method Detail

### getDiagramViewClass

    protected java.lang.Class getDiagramViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter,
                                                  java.lang.String diagramKind)

  Overrides:
    `getDiagramViewClass` in class `org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider`

### getNodeViewClass

    protected java.lang.Class getNodeViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter,
                                               org.eclipse.gmf.runtime.notation.View containerView,
                                               java.lang.String semanticHint)

  Overrides:
    `getNodeViewClass` in class `org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider`

### getNodeViewClass

    protected java.lang.Class getNodeViewClass(org.eclipse.gmf.runtime.notation.View containerView,
                                               int visualID)

### getEdgeViewClass

    protected java.lang.Class getEdgeViewClass(org.eclipse.core.runtime.IAdaptable semanticAdapter,
                                               org.eclipse.gmf.runtime.notation.View containerView,
                                               java.lang.String semanticHint)

  Overrides:
    `getEdgeViewClass` in class `org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider`

### getEdgeViewClass

    protected java.lang.Class getEdgeViewClass(int visualID)

Copyright 2007 Anyware Technologies. All Rights Reserved.